commit:     d6c60fcc07598329dea9c3bd5eca311d6f1f6b70
Author:     Cédric Krier <cedk <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 18 22:34:26 2020 +0000
Commit:     Cédric Krier <cedk <AT> gentoo <DOT> org>
CommitDate: Thu Jun 18 22:34:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6c60fcc

dev-util/cookiecutter: fix python-slugify version

Closes: https://bugs.gentoo.org/728634
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Cédric Krier <cedk <AT> gentoo.org>

 dev-util/cookiecutter/cookiecutter-1.7.2-r1.ebuild | 48 ++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/dev-util/cookiecutter/cookiecutter-1.7.2-r1.ebuild 
b/dev-util/cookiecutter/cookiecutter-1.7.2-r1.ebuild
new file mode 100644
index 00000000000..fb9639ccbe2
--- /dev/null
+++ b/dev-util/cookiecutter/cookiecutter-1.7.2-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Command-line utility to create projects from cookiecutters 
(project templates)"
+HOMEPAGE="https://github.com/audreyr/cookiecutter";
+
+SRC_URI="https://github.com/audreyr/cookiecutter/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-python/binaryornot-0.4.4[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+       <dev-python/jinja-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/click-7.0[${PYTHON_USEDEP}]
+       >=dev-python/poyo-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/jinja2-time-0.2.0[${PYTHON_USEDEP}]
+       >=dev-python/python-slugify-4.0.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.23.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10[${PYTHON_USEDEP}]
+       <dev-python/markupsafe-2.0.0[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-vcs/git )"
+
+DOCS=( README.md HISTORY.md CONTRIBUTING.md )
+
+PATCHES=(
+       "${FILESDIR}/test_cli-1.7.2.patch"
+       )
+
+python_test() {
+       pytest -o addopts= || die
+}

Reply via email to